Index: lemon/lgf_writer.h
===================================================================
--- lemon/lgf_writer.h	(revision 564)
+++ lemon/lgf_writer.h	(revision 606)
@@ -407,9 +407,9 @@
   /// the \c ostream() function, hence the second pass can append its
   /// output to the output of the first pass.
-  template <typename _Digraph>
+  template <typename GR>
   class DigraphWriter {
   public:
 
-    typedef _Digraph Digraph;
+    typedef GR Digraph;
     TEMPLATE_DIGRAPH_TYPEDEFS(Digraph);
 
@@ -975,9 +975,9 @@
   /// section as a \c '+' or a \c '-' prefix (depends on the direction
   /// of the arc) and the label of corresponding edge.
-  template <typename _Graph>
+  template <typename GR>
   class GraphWriter {
   public:
 
-    typedef _Graph Graph;
+    typedef GR Graph;
     TEMPLATE_GRAPH_TYPEDEFS(Graph);
 
@@ -1074,13 +1074,13 @@
   private:
 
-    template <typename GR>
-    friend GraphWriter<GR> graphWriter(const GR& graph,
-                                       std::ostream& os);
-    template <typename GR>
-    friend GraphWriter<GR> graphWriter(const GR& graph,
-                                       const std::string& fn);
-    template <typename GR>
-    friend GraphWriter<GR> graphWriter(const GR& graph,
-                                       const char *fn);
+    template <typename Graph>
+    friend GraphWriter<Graph> graphWriter(const Graph& graph,
+                                          std::ostream& os);
+    template <typename Graph>
+    friend GraphWriter<Graph> graphWriter(const Graph& graph,
+                                          const std::string& fn);
+    template <typename Graph>
+    friend GraphWriter<Graph> graphWriter(const Graph& graph,
+                                          const char *fn);
     
     GraphWriter(GraphWriter& other)
Index: lemon/list_graph.h
===================================================================
--- lemon/list_graph.h	(revision 463)
+++ lemon/list_graph.h	(revision 606)
@@ -352,5 +352,5 @@
 
     ///Add a new node to the digraph.
-    ///\return the new node.
+    ///\return The new node.
     Node addNode() { return Parent::addNode(); }
 
@@ -359,5 +359,5 @@
     ///Add a new arc to the digraph with source node \c s
     ///and target node \c t.
-    ///\return the new arc.
+    ///\return The new arc.
     Arc addArc(const Node& s, const Node& t) {
       return Parent::addArc(s, t);
@@ -1209,5 +1209,5 @@
     ///
     /// Add a new node to the graph.
-    /// \return the new node.
+    /// \return The new node.
     Node addNode() { return Parent::addNode(); }
 
@@ -1216,5 +1216,5 @@
     /// Add a new edge to the graph with source node \c s
     /// and target node \c t.
-    /// \return the new edge.
+    /// \return The new edge.
     Edge addEdge(const Node& s, const Node& t) {
       return Parent::addEdge(s, t);
